[
  {
    "metadata": {},
    "data": [
      {
        "code": "TRECT",
        "label": "Temps rectifié (J)",
        "concise": "TRECT",
        "type": "REAL",
        "isActive": true,
        "saveResult": true,
        "period": {
          "calculationFrequency": "DAILY",
          "calendarCode": null,
          "cycleCode": null,
          "startDateCycle": null,
          "startPeriod": "00,00",
          "endPeriod": "00,00",
          "dailyEvaluation": false,
          "timeSlotCalculation": false,
          "firstStartTimeSlot": null,
          "firstEndTimeSlot": null,
          "secondStartTimeSlot": null,
          "secondEndTimeSlot": null
        },
        "schedule": {
          "maxTimeSlot": 1,
          "useDayFilter": false,
          "dayTypes": null,
          "days": null,
          "scheduleTypes": null,
          "resourcePresence": null
        },
        "calculationOrder": 1,
        "formulaLines": [
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "BASE",
                "value": "B03 HRS RECTIFIEES"
              },
              "operator": "UNKNOWN",
              "secondOperand": {
                "operandItem": "UNKNOWN",
                "value": null
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-5 RESULTAT",
                "timeSlot": 0
              }
            }
          }
        ]
      },
      {
        "code": "TPREV",
        "label": "Temps prévu (S)",
        "concise": "TPREV",
        "type": "PREVISIONAL",
        "isActive": true,
        "saveResult": true,
        "period": {
          "calculationFrequency": "WEEKLY",
          "calendarCode": "TESTCHR",
          "cycleCode": null,
          "startDateCycle": null,
          "startPeriod": "00,00",
          "endPeriod": "00,00",
          "dailyEvaluation": false,
          "timeSlotCalculation": false,
          "firstStartTimeSlot": null,
          "firstEndTimeSlot": null,
          "secondStartTimeSlot": null,
          "secondEndTimeSlot": null
        },
        "schedule": {
          "maxTimeSlot": 1,
          "useDayFilter": false,
          "dayTypes": null,
          "days": null,
          "scheduleTypes": null,
          "resourcePresence": null
        },
        "calculationOrder": 2,
        "formulaLines": [
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "BASE",
                "value": "B02 HRS PREVUES"
              },
              "operator": "UNKNOWN",
              "secondOperand": {
                "operandItem": "UNKNOWN",
                "value": null
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-5 RESULTAT",
                "timeSlot": 0
              }
            }
          }
        ]
      },
      {
        "code": "TP_S",
        "label": "Calcul quotidien de TPREV",
        "concise": "TP_S",
        "type": "PREVISIONAL",
        "isActive": true,
        "saveResult": true,
        "period": {
          "calculationFrequency": "DAILY",
          "calendarCode": null,
          "cycleCode": null,
          "startDateCycle": null,
          "startPeriod": "00,00",
          "endPeriod": "+06,00",
          "dailyEvaluation": false,
          "timeSlotCalculation": false,
          "firstStartTimeSlot": null,
          "firstEndTimeSlot": null,
          "secondStartTimeSlot": null,
          "secondEndTimeSlot": null
        },
        "schedule": {
          "maxTimeSlot": 1,
          "useDayFilter": false,
          "dayTypes": null,
          "days": null,
          "scheduleTypes": null,
          "resourcePresence": null
        },
        "calculationOrder": 3,
        "formulaLines": [
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "COUNTER",
                "value": "TPREV TEMPS PREVU (S)"
              },
              "operator": "UNKNOWN",
              "secondOperand": {
                "operandItem": "UNKNOWN",
                "value": null
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-5 RESULTAT",
                "timeSlot": 0
              }
            }
          }
        ]
      },
      {
        "code": "TPREA",
        "label": "Temps réalisé semaine (J)",
        "concise": "TPREA",
        "type": "PREVISIONAL",
        "isActive": true,
        "saveResult": true,
        "period": {
          "calculationFrequency": "DAILY",
          "calendarCode": null,
          "cycleCode": null,
          "startDateCycle": null,
          "startPeriod": "00,00",
          "endPeriod": "00,00",
          "dailyEvaluation": false,
          "timeSlotCalculation": false,
          "firstStartTimeSlot": null,
          "firstEndTimeSlot": null,
          "secondStartTimeSlot": null,
          "secondEndTimeSlot": null
        },
        "schedule": {
          "maxTimeSlot": 1,
          "useDayFilter": false,
          "dayTypes": null,
          "days": null,
          "scheduleTypes": null,
          "resourcePresence": null
        },
        "calculationOrder": 4,
        "formulaLines": [
          {
            "instruction": {
              "type": "IF",
              "firstOperand": {
                "operandItem": "FUNCTION",
                "value": "F18 JOUR/SEM.1=DIM 7=SAM"
              },
              "operator": "DIFFERENT",
              "secondOperand": {
                "operandItem": "CONSTANT",
                "value": "2"
              },
              "enabled": true
            }
          },
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "COUNTER",
                "value": "TPREA TEMPS REALISE SEMAINE (J)"
              },
              "operator": "T1",
              "secondOperand": {
                "operandItem": "UNKNOWN",
                "value": null
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-1 VARIABLE-1",
                "timeSlot": 0
              }
            }
          },
          {
            "instruction": {
              "type": "ENDIF",
              "enabled": true
            }
          },
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "VARIABLE",
                "value": "V-1 VARIABLE-1"
              },
              "operator": "PLUS",
              "secondOperand": {
                "operandItem": "COUNTER",
                "value": "TRECT TEMPS RECTIFIE (J)"
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-5 RESULTAT",
                "timeSlot": 0
              }
            }
          }
        ]
      },
      {
        "code": "TPRES",
        "label": "Temps restant semaine (J)",
        "concise": "TPRES",
        "type": "PREVISIONAL",
        "isActive": true,
        "saveResult": true,
        "period": {
          "calculationFrequency": "DAILY",
          "calendarCode": null,
          "cycleCode": null,
          "startDateCycle": null,
          "startPeriod": "00,00",
          "endPeriod": "00,00",
          "dailyEvaluation": false,
          "timeSlotCalculation": false,
          "firstStartTimeSlot": null,
          "firstEndTimeSlot": null,
          "secondStartTimeSlot": null,
          "secondEndTimeSlot": null
        },
        "schedule": {
          "maxTimeSlot": 1,
          "useDayFilter": false,
          "dayTypes": null,
          "days": null,
          "scheduleTypes": null,
          "resourcePresence": null
        },
        "calculationOrder": 5,
        "formulaLines": [
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "COUNTER",
                "value": "TP_S  CALCUL QUOTIDIEN DE TPREV"
              },
              "operator": "MINUS",
              "secondOperand": {
                "operandItem": "COUNTER",
                "value": "TPREA TEMPS REALISE SEMAINE (J)"
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-5 RESULTAT",
                "timeSlot": 0
              }
            }
          }
        ]
      }
    ]
  }
]